Package org.apache.wiki

# Class TranslationsCheck

java.lang.Object
org.apache.wiki.TranslationsCheck

public class TranslationsCheck extends Object
Simple utility that shows you a sorted list of property differences between the 'default en' and a given i18n file. It also warns if there are any duplicates.

The first argument is the language, and it is mandatory. The second argument is the path. If the path is not defined, uses current path (.)

For example (if you're compiling your classes to "classes"): `java -cp classes TranslationsCheck fi`

## Constructor Summary

Constructors
Constructor
Description
`TranslationsCheck()`

## Method Summary

Modifier and Type
Method
Description
`int`
`detectDuplicates(String source)`
`Map<String,Integer>`
`diff(String source1, String source2)`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TranslationsCheck

public TranslationsCheck()

## Method Details

### main

public static void main(String[] args) throws IOException

Throws:
  `IOException`

### diff

public Map<String,Integer> diff(String source1, String source2) throws IOException

Throws:
  `IOException`

### detectDuplicates

public int detectDuplicates(String source) throws IOException

Throws:
  `IOException`